# SDPBandwidth Class Reference

`#include <sdp.h>`

## Public Member Functions

OpalBandwidth & | operator[] (const PCaselessString &type)
OpalBandwidth | operator[] (const PCaselessString &type) const
bool | Parse (const PString &param)
void | SetMax (const PCaselessString &type, OpalBandwidth value)

## Friends

ostream & | operator<< (ostream &out, const SDPBandwidth &bw)

## Member Function Documentation

OpalBandwidth SDPBandwidth::operator[] | ( | const PCaselessString & | type | ) | const

OpalBandwidth& SDPBandwidth::operator[] | ( | const PCaselessString & | type | ) |

bool SDPBandwidth::Parse | ( | const PString & | param | ) |

void SDPBandwidth::SetMax | ( | const PCaselessString & | type,
|  | OpalBandwidth | value |
| ) |  |  |

## Friends And Related Function Documentation

ostream& operator<< | ( | ostream & | out,
|  | const SDPBandwidth & | bw |
| ) |  |  | `[friend]`

The documentation for this class was generated from the following file:

- sdp.h